Package org.lwjgl.util.mapped

# Annotation Type MappedField

@Retention(RUNTIME) @Target(FIELD) public @interface MappedField
This annotation can be used on fields of `MappedObject` subclasses, to manually specify byte offsets and lengths. This is useful when the mapped fields require custom alignment. `ByteBuffer` fields are required to have this annotation with a hardcoded byte length.

Author:
  Riven

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`long`
`byteLength`
Specifies the field byte length.
`long`
`byteOffset`
Specifies the field byte offset within the mapped object.

## Element Details

### byteOffset

long byteOffset
Specifies the field byte offset within the mapped object.

Returns:
  the field byte offset

Default:
  `-1L`

### byteLength

long byteLength
Specifies the field byte length. Required for `ByteBuffer` fields.

Returns:
  the field byte length

Default:
  `-1L`